Class | Compass::Logger
In: | lib/compass/logger.rb
Parent: | Object

### Methods

action_padding color emit log max_action_length new record red yellow

### Constants

DEFAULT_ACTIONS | = | [:directory, :exists, :remove, :create, :overwrite, :compile, :error, :identical, :warning]
COLORS | = | { :clear => 0, :red => 31, :green => 32, :yellow => 33 }
ACTION_COLORS | = | { :error => :red, :warning => :yellow, :compile => :green, :overwrite => :yellow, :create => :green, :remove => :yellow, :exists => :green, :directory => :green, :identical => :green, :convert => :green, :unchanged => :yellow

### Attributes

actions | [RW] |
options | [RW] |

### Public Class methods

new(*actions)

### Public Instance methods

action_padding(action)

add padding to the left of an action that was performed.

color(c)
emit(msg)
log(msg)

Emit a log message

max_action_length()

the maximum length of all the actions known to the logger.

record(action, *arguments)

Record an action that has occurred

red() {|| ...}
yellow() {|| ...}

[Validate]